%define debug_package %{nil}
ExcludeArch:    %{ix86}
Name:           rpaste
Version:        0.3.0
Release:        1%{?dist}
Summary:        Rocky Linux pastebin client built in golang

License:        MIT
URL:            https://github.com/rocky-linux/rpaste
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.1.gz
BuildRequires:  golang >= 1.18.0

Provides:       rpaste

%description
Rocky Linux pastebin client as a part of the of the Rocky Linux Extras
repository. rpaste is built in golang and supports pasting to both the rpaste
paste bin service as well as paste.centos.org (fpaste).

%prep
%autosetup

%build
go build -v -o %{name}

%install
install -Dpm 0755 %{name} %{buildroot}/%{_bindir}/%{name}
install -Dpm 0644 %{SOURCE1} %{buildroot}/%{_mandir}/man1/%{name}.1.gz

%files
%license LICENSE
%attr(0755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Fri Oct 14 2022 Louis Abel <label@rockylinux.org> - 0.3.0-1
- Rebase to 0.3.0
- Update all vendored libraries
- Require golang 1.18

* Sun Aug 28 2022 Louis Abel <label@rockylinux.org> - 0.2.0-3
- Allow build on all architectures except i686

* Wed Jun 01 2022 Louis Abel <label@rockylinux.org> - 0.2.0-2
- Fix missing sources

* Tue Jan 11 2022 Louis Abel <label@rockylinux.org> - 0.2.0-1
- Rebuild rpaste in golang, rebase to 0.2.0

* Fri Jul 02 2021 Louis Abel <label@rockylinux.org> - 0.1-3.2
- Fix package description

* Tue Jun 29 2021 Louis Abel <label@rockylinux.org> - 0.1-3
- Add piped stdin support

* Sun Jun 20 2021 Louis Abel <label@rockylinux.org> - 0.1-2
- Fix lexer and verify function

* Wed Jun 16 2021 Louis Abel <label@rockylinux.org> - 0.1-1
- First release of rpaste using bash
